﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ENM5220W2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void radioButton4_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton4.Checked)//kare
            {
                label1.Text = "Bir Kenar Uzunluğu:";
                label2.Visible = false;
                label3.Visible = false;
                textBox2.Visible = false;
                textBox3.Visible = false;
            }
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton3.Checked)
            {
                label1.Text = "Yarıçapı Giriniz:";
                label2.Visible = false;
                label3.Visible = false;
                textBox2.Visible = false;
                textBox3.Visible = false;
            }
        }

        private void radioButton5_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton5.Checked)
            {
                label1.Text = "Kısa Kenarı Giriniz:";
                label2.Visible = true;
                textBox2.Visible = true;
                if (radioButton2.Checked) //hacim hesapla seçiliyse
                {
                    label3.Visible = true;
                    textBox3.Visible = true;
                }
                else //alan hesapla seçiliyse
                {
                    label3.Visible = false;
                    textBox3.Visible = false;
                }

            }
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton1.Checked)//alan hesapla
            {
                radioButton3.Text = "Daire";
                radioButton4.Text = "Kare";
                radioButton5.Text = "Dikdörtgen";
                label4.Text = "Hesaplanan Alan (cm2):";
                if (radioButton3.Checked)//daire
                {
                    label1.Text = "Yarıçapı Giriniz:";
                    label2.Visible = false;
                    label3.Visible = false;
                    textBox2.Visible = false;
                    textBox3.Visible = false;
                }
                if (radioButton4.Checked)//kare
                {
                    label1.Text = "Bir Kenar Uzunluğu:";
                    label2.Visible = false;
                    label3.Visible = false;
                    textBox2.Visible = false;
                    textBox3.Visible = false;
                }
                if (radioButton5.Checked)
                {
                    label1.Text = "Kısa Kenarı Giriniz:";//dikdörtgen
                    label2.Visible = true;
                    textBox2.Visible = true;
                    label3.Visible = false;
                    textBox3.Visible = false;

                }
            }
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton2.Checked)
            {
                radioButton3.Text = "Küre";
                radioButton4.Text = "Küp";
                radioButton5.Text = "Dikdörtgen Prizma";
                label4.Text = "Hesaplanan Hacim (cm3):";
                if (radioButton3.Checked)//küre
                {
                    label1.Text = "Yarıçapı Giriniz:";
                    label2.Visible = false;
                    label3.Visible = false;
                    textBox2.Visible = false;
                    textBox3.Visible = false;
                }
                if (radioButton4.Checked)//küp
                {
                    label1.Text = "Bir Kenar Uzunluğu:";
                    label2.Visible = false;
                    label3.Visible = false;
                    textBox2.Visible = false;
                    textBox3.Visible = false;
                }
                if (radioButton5.Checked)//prizma
                {
                    label1.Text = "Kısa Kenarı Giriniz:";
                    label2.Visible = true;
                    textBox2.Visible = true;
                    label3.Visible = false;
                    textBox3.Visible = false;

                }





            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            double a = Convert.ToDouble(textBox1.Text);
            double b = Convert.ToDouble(textBox2.Text);
            double c = Convert.ToDouble(textBox3.Text);
            double sonuc = 0;
            if (radioButton1.Checked && radioButton3.Checked)//daire alan
            {
                sonuc = Math.PI * Math.Pow(a, 2);
            }
            else if (radioButton1.Checked && radioButton4.Checked)//kare alan
            {
                sonuc = a * a;
            }
            else if (radioButton1.Checked && radioButton5.Checked)//dikdörtgen alan
            {
                sonuc = a * b;
            }
            else if (radioButton2.Checked && radioButton3.Checked)//küre hacim
            {
                sonuc = 4/3.0 * Math.PI * Math.Pow(a,3);
            }
            else if (radioButton2.Checked && radioButton4.Checked)//küp hacim
            {
                sonuc = Math.Pow(a, 3);
            }
            else if (radioButton2.Checked && radioButton5.Checked)//prizma hacim
            {
                sonuc = a * b * c;
            }
            textBox4.Text = Convert.ToString(sonuc);

            if (checkBox1.Checked)
            {
                MessageBox.Show(Convert.ToString(sonuc));
            }

        }

        private void textBox1_Click(object sender, EventArgs e)
        {
            textBox1.Clear();
            textBox4.Clear();
        }
    }
}
